Bug 219164 - [NEW PORT] databases/postgres-xl: Scalable open source PostgreSQL-based database cluster
Summary: [NEW PORT] databases/postgres-xl: Scalable open source PostgreSQL-based datab...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-05-09 10:00 UTC by Jov
Modified: 2017-08-16 20:01 UTC (History)
3 users (show)

See Also:


Attachments
postgres-xl shar file (85.15 KB, text/plain)
2017-05-09 10:00 UTC, Jov
no flags Details
postgres-xl.shar (85.12 KB, text/plain)
2017-08-16 02:26 UTC, Jov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-05-09 10:00:49 UTC
Created attachment 182434 [details]
postgres-xl shar file

Postgres-XL is an open source project to provide both write-scalability and
massively parallel processing transparently to PostgreSQL. It is a collection
of tightly coupled database components which can be installed on more than one
system or virtual machine.

Write-scalable means Postgres-XL can be configured with as many database
servers as you want and handle many more writes (updating SQL statements) than
a single standalone database server could otherwise do. You can have more than
one database server that provides a single database view. Any database update
from any database server is immediately visible to any other transactions
running on different servers. Transparent means you do not necessarily need
to worry about how your data is stored in more than one database servers
internally.

WWW: http://www.postgres-xl.org/
Comment 1 js 2017-06-21 20:43:15 UTC
I've used this port to build a package in my Poudriere jail, installed the package and tested the Postgres-XL plaform using the GTM, several coordinator nodes and several data nodes.  I've found everything to be working well and I'm looking forward to seeing this port committed to the ports tree!
Comment 2 Mathieu Arnold freebsd_committer 2017-07-06 13:52:47 UTC
Assignee timeout. Give back to the pool.
Comment 3 Jov 2017-08-16 02:26:24 UTC
Created attachment 185468 [details]
postgres-xl.shar

merge STRIP_CMD
Comment 4 Jov 2017-08-16 02:27:17 UTC
QA:
portlint -AC
WARN: /usr/local/poudriere/ports/default/databases/postgres-xl/pkg-plist: [1103]: If and only if your port is DOCSDIR-safe (that is, a user can override DOCSDIR when building this port and the port will still work correctly) consider using DOCSDIR macro; if you are unsure if this this port is DOCSDIR-safe, then ignore this warning
WARN: /usr/local/poudriere/ports/default/databases/postgres-xl/pkg-plist: [1104]: If and only if your port is DOCSDIR-safe (that is, a user can override DOCSDIR when building this port and the port will still work correctly) consider using DOCSDIR macro; if you are unsure if this this port is DOCSDIR-safe, then ignore this warning
WARN: /usr/local/poudriere/ports/default/databases/postgres-xl/pkg-plist: [1105]: If and only if your port is DOCSDIR-safe (that is, a user can override DOCSDIR when building this port and the port will still work correctly) consider using DOCSDIR macro; if you are unsure if this this port is DOCSDIR-safe, then ignore this warning
WARN: /usr/local/poudriere/ports/default/databases/postgres-xl/pkg-plist: [1106]: If and only if your port is DOCSDIR-safe (that is, a user can override DOCSDIR when building this port and the port will still work correctly) consider using DOCSDIR macro; if you are unsure if this this port is DOCSDIR-safe, then ignore this warning
WARN: /usr/local/poudriere/ports/default/databases/postgres-xl/pkg-plist: [1107]: If and only if your port is DOCSDIR-safe (that is, a user can override DOCSDIR when building this port and the port will still work correctly) consider using DOCSDIR macro; if you are unsure if this this port is DOCSDIR-safe, then ignore this warning
WARN: Conflict "postgresql[^9.5]?-client*" specified too broad. You should end it with a version number fragment (-[0-9]*).
WARN: Conflict "postgresql9[^r1]-client*" specified too broad. You should end it with a version number fragment (-[0-9]*).
WARN: /usr/local/poudriere/ports/default/databases/postgres-xl/distinfo: [1]: TIMESTAMP is over 30 days old
0 fatal errors and 8 warnings found.

testport: 11.1R-amd64
Comment 5 Kurt Jaeger freebsd_committer 2017-08-16 18:53:58 UTC
testbuilds are fine
Comment 6 Kurt Jaeger freebsd_committer 2017-08-16 18:55:44 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2017-08-16 18:55:59 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 16 18:55:16 UTC 2017
New revision: 448063
URL: https://svnweb.freebsd.org/changeset/ports/448063

Log:
  New port: databases/postgres-xl

  Postgres-XL is an open source project to provide both write-scalability and
  massively parallel processing transparently to PostgreSQL. It is a collection
  of tightly coupled database components which can be installed on more than one
  system or virtual machine.

  Write-scalable means Postgres-XL can be configured with as many database
  servers as you want and handle many more writes (updating SQL statements) than
  a single standalone database server could otherwise do. You can have more than
  one database server that provides a single database view. Any database update
  from any database server is immediately visible to any other transactions
  running on different servers. Transparent means you do not necessarily need
  to worry about how your data is stored in more than one database servers
  internally.

  WWW: http://www.postgres-xl.org/

  PR:		219164
  Submitted by:	Jov <amutu@amutu.com>

Changes:
  head/databases/Makefile
  head/databases/postgres-xl/
  head/databases/postgres-xl/Makefile
  head/databases/postgres-xl/distinfo
  head/databases/postgres-xl/files/
  head/databases/postgres-xl/files/patch-contrib_pgxc__ctl_make__signature
  head/databases/postgres-xl/files/patch-contrib_pgxc__monitor_pgxc__monitor.c
  head/databases/postgres-xl/files/patch-doc-Makefile
  head/databases/postgres-xl/files/patch-doc-src-sgml-Makefile
  head/databases/postgres-xl/files/patch-src_Makefile.shlib
  head/databases/postgres-xl/pkg-descr
  head/databases/postgres-xl/pkg-plist
Comment 8 commit-hook freebsd_committer 2017-08-16 20:01:03 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 16 20:00:46 UTC 2017
New revision: 448064
URL: https://svnweb.freebsd.org/changeset/ports/448064

Log:
  databases/postgres-xl: fix BUILD_DEPENDS

  PR:		219164
  Submitted by:	joneum

Changes:
  head/databases/postgres-xl/Makefile